Method: projects.locations.instances.setAccelerator

עדכון המאיצים של האורח במכונה יחידה.

בקשת HTTP

PATCH https://notebooks.googleapis.com/v1/{name}:setAccelerator

פרמטרים של נתיב

פרמטרים
name

string

חובה. פורמט: projects/{projectId}/locations/{location}/instances/{instanceId}

כדי לתת הרשאה, צריך את הרשאת IAM הבאה במשאב שצוין name:

  • notebooks.instances.setAccelerator

גוף הבקשה

גוף הבקשה מכיל נתונים במבנה הבא:

ייצוג ב-JSON
{
  "type": enum (AcceleratorType),
  "coreCount": string
}
שדות
type

enum (AcceleratorType)

חובה. סוג המאיץ.

coreCount

string (int64 format)

חובה. מספר ליבות המעבד של המאיץ הזה. חשוב לזכור שלא כל השילובים של type ו-coreCount הם תקינים. כדי למצוא שילוב תקין, אפשר לעיין במאמר בנושא GPUs on Compute Engine. אין תמיכה ב-TPU.

גוף התשובה

אם הפעולה בוצעה ללא שגיאות, גוף התגובה יכיל מופע של Operation.

היקפי הרשאות

נדרש אחד מהיקפי ההרשאות הבאים של OAuth:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/notebooks

ניתן למצוא מידע נוסף כאן: Authentication Overview.